[![pub package](https://img.shields.io/pub/v/getflutter.svg)](https://pub.dartlang.org/packages/getflutter) [![Build Status](https://travis-ci.org/ionicfirebaseapp/getflutter.svg?branch=master)](https://travis-ci.com/ionicfirebaseapp/getflutter) [![Open Source Love](https://badges.frapsoft.com/os/v1/open-source.svg?v=102)](https://opensource.org/licenses/MIT) [![License](https://img.shields.io/badge/license-MIT-orange.svg)](https://github.com/ionicfirebaseapp/getflutter/blob/master/LICENSE) [![Gitter](https://badges.gitter.im/getflutterdev/getflutter.svg)](https://gitter.im/getflutterdev/getflutter) [![Twitter Follow](https://img.shields.io/twitter/follow/getflutterdev.svg?style=social)](https://twitter.com/getflutterdev)


<p align="center">
  <a href="https://www.getflutter.dev/" target="_blank">
    <img src="https://ik.imagekit.io/ionicfirebaseapp/tr:w-auto-300/gf-logo-g-b_SYSBeqUrR.png" alt="Get Flutter">
  </a>
</p>

[**GetFlutter**](https://www.getflutter.dev) is a 100% free Flutter open-source UI library built with <a href="https://flutter.dev/" target="_blank">Flutter SDK</a> to make Flutter development easier and more joyful than ever. GetFlutter has 1000+ pre-build widgets that you can reuse to develop both Flutter mobile app and web app. Our motto is to provide the best Flutter UI library to the Flutter community to speed up their development process and build awesome apps with pre-build Flutter Library Components.

## Table of contents 

- [Screenshot](#screenshot)
- [Quick start](#quick-start)
- [Features](#features)
- [Demo](#demo)
- [Contributing](#contributing)
- [Documentation](#documentation)
- [Copyright and license](#copyright-and-license)

 
 ## Screenshot
 <p align="center">
  <a target="_blank" href="https://www.getflutter.dev/">
    <img src="https://ik.imagekit.io/ionicfirebaseapp/tr:dpr-auto,tr:w-auto/GitHub_WHeammEIl.png" alt="Get Flutter">
  </a>
</p>

## Quick start

Read the [Getting started page](https://docs.getflutter.dev) 
Forum [Support and discussion ](https://forum.getflutter.dev)

## Features 
In this beta release, we are going to launch the library with the following components : 
 
 #### [Button](https://docs.getflutter.dev/gf-button) |  [Badge](https://docs.getflutter.dev/gf-badge) |  [Avatar](https://docs.getflutter.dev/gf-avatar) |  [Image](https://docs.getflutter.dev/gf-image) |  [Card](https://docs.getflutter.dev/gf-card) |  [Carousel](https://docs.getflutter.dev/gf-carousel) | [Tile](https://docs.getflutter.dev/gf-tile) | [Tab](https://docs.getflutter.dev/gf-tab) | [Typography](https://docs.getflutter.dev/gf-typography) 
 
 
 ## Demo 
 
   ### Play Store 
   <p align="left">
        <a href="https://play.google.com/store/apps/details?id=dev.getflutter.appkit" target="_blank">
          <img src="https://ik.imagekit.io/ionicfirebaseapp/tr:dpr-auto,tr:w-auto/playstore_NQQBiJIQ1.png" alt="Get Flutter playstore Demo">
        </a>
      </p>
  
  ### IOS Store and Web Demo
   Coming Soon
 
 
 ## Contributing
 
  GetFlutter is **100% free** and **open source**. We encourage and support an active, healthy community that accepts contributions from the public &ndash; including you. There are a couple of ways in which you can contribute to the growing community of `getflutter`.
  
  * Pick up any issue marked with ["good first issue"](https://github.com/ionicfirebaseapp/getflutter/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22)
  * Fix a bug
  * Write and improve some **documentation**. Documentation is very critical to us. We would appreciate help in adding multiple languages to our docs.
  * If you are a developer, feel free to check out the source and submit pull requests.
  * Dig into [**CONTRIBUTING.MD**](CONTRIBUTING.md), which covers submitting bugs, requesting new features, preparing your code for a pull request, etc.
  * Please don't forget to **like**, **follow**, and **star our repo**! Join our growing [community](http://forum.getflutter.dev) to keep up to date with the latest GetFlutter development. 
  * Not sure what to work on? [**We've got lots ideas.**](https://roadmap.getflutter.dev)
 
 
 ## Documentation
 
  [**Installation Guide**](https://docs.getflutter.dev)
  
 
### Social Media

Twitter: <https://twitter.com/getflutterdev>

Facebook: <https://www.facebook.com/getflutter>

Linkedin: <https://www.linkedin.com/company/getflutter>

Instagram: <https://www.instagram.com/getflutter.dev/> 

### Note: GetFlutter is not directly and/or indirectly associated/affiliated with Flutter or Google LLC. We are the team of Flutter Developers and we built this open-source library for the Flutter development community to made app development more easier. 
 
 ## Copyright-and-license 
 Code and documentation Copyright 2017-2020 the [GETFLUTTER Authors](https://www.getflutter.dev) and [IONICFIREBASEAPP](https://ionicfirebaseapp.com) Code released under the [MIT License]. Docs released under [Creative Commons](https://creativecommons.org/licenses/by/3.0/).
